
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Bonificacion Sucursal
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Consulta</li>
				<li class="breadcrumb-item" >Bonificacion Sucursal</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>

	
	<div class="modal " id="div_mensaje_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >

			<div class="modal-content" style="padding:0px;">

			<div class="modal-body div_mensaje"  >

			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>		
			
	<!-- filtro de registro -->
	<div id="div_bonificacionsucursal_filtro" ></div>
	<!-- lista de datos -->
	<div id="div_bonificacionsucursal_tabla" ></div>



</div>

<script type="text/javascript">

function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
}
	
	
function bonificacionsucursal_cst_filtro()
{
	$.ajax({
		type: "POST",
		url: "../bonificacionsucursal_cst/bonificacionsucursal_cst_filtro.php",
		async:true,
		dataType: "html",                      
		
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";		
			$('#div_bonificacionsucursal_filtro').html(div);
		},
		success: function(html){
			$('#div_bonificacionsucursal_filtro').html(html);
		},
		complete: function(){
		
		}
	});
}


function bonificacionsucursal_cst_tabla()
{
			$('#div_mensaje_dialog').modal('show');
			$.ajax({
				type: "POST",
				url: "../bonificacionsucursal_cst/bonificacionsucursal_cst_tabla.php",
				async:true,
				dataType: "html",                      
				data: ({
					fec1 :$("#txt_bonsuc_fec1").val(),
					fec2 :$("#txt_bonsuc_fec2").val()
				}), 
				beforeSend: function() {
						var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
						$('.div_mensaje').html(divmen);
					$('#div_bonificacionsucursal_tabla').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_bonificacionsucursal_tabla').html(html);
				},
				complete: function(){			
					$('#div_bonificacionsucursal_tabla').removeClass("ui-state-disabled");
					$('#div_mensaje_dialog').modal('hide');
				}
			});     
}
	


	$(function(){

	bonificacionsucursal_cst_filtro();
		
		$('#btn_actualizar').click(function() {
			$("#contenido").load("../bonificacionsucursal_cst/bonificacionsucursal_cst_vista.php");
		});


		setTitle("BONIFICACION SUCURSAL | REPORTES - "+nombreEmpresa); 

	});

</script>  